package com.framsticks.params.types;

import com.framsticks.params.Param;
import com.framsticks.params.ParamBuilder;
import com.framsticks.params.ValueParam;

import java.util.List;

import javax.annotation.concurrent.Immutable;

/**
 * @author Piotr Sniegowski
 */
@Immutable
public class ProcedureParam extends Param {
	private final ValueParam resultType;
	private final List<ValueParam> argumentsType;

	/**
	 * @param builder
	 */
	public ProcedureParam(ParamBuilder builder) {
		super(builder);
		resultType = builder.getResultType();
		argumentsType = builder.getArgumentsType();
		assert argumentsType != null;
	}

	@Override
	public Class<?> getStorageType() {
		return Void.class;
	}

	public ValueParam getResultType() {
		return resultType;
	}

	public List<ValueParam> getArgumentsType() {
		return argumentsType;
	}

	@Override
	public String getFramsTypeName() {
		return "p";
	}

}
