package com.framsticks.running;

import com.framsticks.params.annotations.FramsClassAnnotation;
import com.framsticks.params.annotations.ParamAnnotation;

@FramsClassAnnotation
public class FramsServer extends ExternalProcess {

	protected Integer port;
	protected String path;

	/**
	 *
	 */
	public FramsServer() {
		super();
		setPath(System.getProperties().get("user.home") + "/opt/framsticks");
		setName("frams");
	}


	/**
	 * @return the port
	 */
	@ParamAnnotation
	public Integer getPort() {
		return port;
	}

	/**
	 * @param port the port to set
	 */
	@ParamAnnotation
	public void setPort(Integer port) {
		this.port = port;
	}

	/**
	 * @return the path
	 */
	@ParamAnnotation
	public String getPath() {
		return path;
	}

	/**
	 * @param path the path to set
	 */
	@ParamAnnotation
	public void setPath(String path) {
		this.path = path;
		setCommand(path + "/frams.linux");
		setDirectory(path);
	}

	@Override
	protected void joinableStart() {
		if (port != null) {
			arguments.add("-n");
			arguments.add("-p" + port);
		}
		super.joinableStart();
	}

}
