package com.framsticks.gui;

import static org.fest.assertions.Assertions.assertThat;
import static org.fest.swing.edt.GuiActionRunner.execute;


import org.apache.log4j.Logger;
import org.fest.swing.edt.GuiTask;
import org.testng.annotations.Test;

import com.framsticks.model.ModelPackage;
import com.framsticks.remote.RemoteInstance;

public class BrowserTest extends BrowserBaseTest {

	private static final Logger log = Logger.getLogger(BrowserTest.class);

	RemoteInstance localhost;

	@Override
	protected void configureBrowser() {
		browser = new Browser();

		localhost = new RemoteInstance();
		localhost.setName("localhost");
		localhost.setAddress("localhost:9009");
		localhost.usePackage(new ModelPackage());

		browser.addInstance(localhost);

	}

	@Test(timeOut = 10000)
	public void testShow() {
		log.info("testing");
		tree.clickRow(0).expandRow(0);
		robot.waitForIdle();
		tree.clickRow(1).expandRow(1);
		robot.waitForIdle();
		assertThat(tree.valueAt(1)).isEqualTo("simulator");
		robot.waitForIdle();
		execute(new GuiTask() {
			@Override
			protected void executeInEDT() throws Throwable {
				assertThat(frame.panel("Simulator").component().isVisible()).isTrue();
			}
		});

		clickAndExpandPath("localhost/simulator/genepools");
		clickAndExpandPath("localhost/simulator/genepools/groups");
		clickAndExpandPath("localhost/simulator/genepools/groups/Genotypes");
	}



}
